
/**
 * Write a description of interface Matice here.
 * 
 * @author (Ludek Bartek) 
 */

public interface Matice
{
	/**
	 * Secte dve matice
	 * 
	 * @param  b	matice, ktera ma byt prictena
	 * @return		soucet matice reprezentovane danym objektem a matice zadane jako parametr
	 */
	Matice pricti(Matice b);
	
	/**
	 * Vynasobi dve matice
	 * 
	 * @param  y	matice, ktera ma byt prinasobena
	 * @return		soucin matice reprezentovane danym objektem a matice zadane jako parametr
	 */
	Matice prinasob(Matice b);
	
	/**
	 * Prevede matici na retezec. Vystup bude odpovidat standardnimu zapisu matice<br/>
	 *  a[1][1]..a[1][n]<br/>
	 *  a[2][1]..a[2][n]<br/>
	 *  ....<br/>
	 *  a[n][1]..a[n][n]<br/>
	 */
	
	String toString();
	
	/**
	 * Vraci rad matice
	 * @return cele cislo udavajici rad matice
	 */
	
	int velikost();
	
	
	
}
